Upstream information

CVE-2012-3356 at MITRE

Description

The remote SVN views functionality (lib/vclib/svn/svn_ra.py) in ViewVC before 1.1.15 does not properly perform authorization, which allows remote attackers to bypass intended access restrictions via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 768680 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.4
  • viewvc >= 1.1.15-6.1
Patchnames:
openSUSE-2012-363
openSUSE Leap 42.1
  • viewvc >= 1.1.23-3.2
Patchnames:
openSUSE Leap 42.1 GA viewvc
openSUSE Leap 42.2
  • viewvc >= 1.1.23-4.3
Patchnames:
openSUSE Leap 42.2 GA viewvc
openSUSE Leap 42.3
  • viewvc >= 1.1.26-9.2
Patchnames:
openSUSE Leap 42.3 GA viewvc
openSUSE Tumbleweed
  • viewvc >= 1.1.24-2.1
Patchnames:
openSUSE Tumbleweed GA viewvc